# python-djvulibre 0.9.0 documentation

## Document outline

See also

Lizardtech DjVu Reference (8.3.3 Document Outline Chunk).

Representing outlines as S-expressions is DjVuLibre-specific; see Outline/Bookmark syntax in djvused manual for reference.

class djvu.decode.DocumentOutline
  wait()

    Wait until the associated S-expression is available.

  sexpr
    Returns:

      the associated S-expression.

    If the S-expression is not available, raise `NotAvailable` exception. Then, `PageInfoMessage` messages with empty `page_job` may be emitted.

    Raises:

      - NotAvailable – see above.

      - JobFailed – on failure.

djvu.const.EMPTY_OUTLINE

  Empty outline S-expression.

      >>> EMPTY_OUTLINE
      Expression([Symbol('bookmarks')])